library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;


entity cheshmak_zan is
	port(clkin : in std_logic;
			led1: out std_logic_vector(2 downto 0);
			led2: out std_logic_vector(2 downto 0);
			seg1: out std_logic_vector(6 downto 0);
			seg2: out std_logic_vector(6 downto 0);
			mode1: out std_logic_vector(1 downto 0));
end cheshmak_zan;

architecture Behavioral of cheshmak_zan is

signal count : std_logic:='0';

begin

process(clkin)
begin

if (rising_edge(clkin)) then
	count <= not(count);
	case count is
		when '0' => led1<="100";led2<="010";
		when others => led1<="000";led2<="000";
	end case;
end if;

end process;
seg1<="0000000";
seg2<="0000000";
mode1<="00";

end Behavioral;

