library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_arith.ALL;
use IEEE.STD_LOGIC_unsigned.ALL;


entity freq_divider is
	generic (div: integer range 0 to 100000000:=0);
	Port ( clk_in_div : in  STD_LOGIC;
         clk_out_div : out  STD_LOGIC);
end freq_divider;



architecture Behavioral of freq_divider is

signal count: integer range 0 to 67108864:=0;

begin
process(clk_in_div)
begin
if rising_edge(clk_in_div) then
	count <= count+1;
		if(count<div) then
		clk_out_div <= '0';
			else
			if(count<2*div-1) then
			clk_out_div <= '1';
			else
			count <= 0;
			clk_out_div <= '1';
			end if;
			end if;
	end if;
	

end process;
end Behavioral;

