library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;


entity vorodi is
	port(in1 : in std_logic_vector(6 downto 0);
			in2 : in std_logic_vector(6 downto 0);
			apply : in std_logic;
			red : out std_logic_vector(6 downto 0);
			yellow : out std_logic_vector(6 downto 0);
			green : out std_logic_vector(6 downto 0);
			d_ready : out std_logic);
end vorodi;

architecture Behavioral of vorodi is

signal d_ready_d : std_logic:='0';

begin

d_ready <= d_ready_d;

process(apply)

begin
if (rising_edge(apply)) then
	
	if ((in1>=1)and(in2>=1)) and ((in1<=99)and(in2<=99)) and (in1/=in2) then
		if in1>in2 then
			red<= in1;
			green<=in2;
			yellow<= in1-in2;
			d_ready_d <= not(d_ready_d);
		else
			red<= in2;
			green<=in1;
			yellow<= in2-in1;
			d_ready_d <= not(d_ready_d);
		end if;
	end if;

end if;

end process;


end Behavioral;

